<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $user_stage
 * @var int $page_number
 * @var \kernel\CgView $view
 */

use kernel\app_modules\user_stage\models\UserStage;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\widgets\IconBtn\IconBtnCreateWidget;
use kernel\widgets\IconBtn\IconBtnDeleteWidget;
use kernel\widgets\IconBtn\IconBtnEditWidget;
use kernel\widgets\IconBtn\IconBtnViewWidget;

$view->setTitle("Список user_stage");
$view->setMeta([
    'description' => 'Список user_stage системы'
]);

//Для использования таблицы с моделью, необходимо создать таблицу в базе данных
$table = new ListEloquentTable(new EloquentDataProvider(UserStage::class, [
    'currentPage' => $page_number,
    'perPage' => 8,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/user_stage"
]));


//$table = new \Itguild\Tables\ListJsonTable(json_encode(
//    [
//        'meta' => [
//            'total' => 0,
//            'totalWithFilters' => 0,
//            'columns' => [
//                'title',
//                'slug',
//                'status',
//            ],
//            'perPage' => 5,
//            'currentPage' => 1,
//            'baseUrl' => '/admin/some',
//            'params' => [
//                'class' => 'table table-bordered',
//                'border' => 2
//            ]
//        ],
//        'filters' => [],
//        'data' => [],
//    ]
//));

// Пример фильтра
$table->columns([
    'title' => [
        'filter' => [
            'class' => \Itguild\Tables\Filter\InputTextFilter::class,
            'value' => $get['title'] ?? ''
        ]
    ],
    "status" => [
        "value" => function ($cell) {
            return UserStage::getStatus()[$cell];
        }
    ]
]);

$table->beforePrint(function () {
    return IconBtnCreateWidget::create(['url' => '/admin/user_stage/create'])->run();
});

$table->addAction(function ($row) {
    return IconBtnViewWidget::create(['url' => '/admin/user_stage/view/' . $row['id']])->run();
});
$table->addAction(function ($row) {
    return IconBtnEditWidget::create(['url' => '/admin/user_stage/update/' . $row['id']])->run();
});
$table->addAction(function ($row) {
    return IconBtnDeleteWidget::create(['url' => '/admin/user_stage/delete/' . $row['id']])->run();
});
$table->create();
$table->render();